Go to the latest version of this document.

# ``twisted`.`_threads`.`_threadworker``

module documentation
(source)

Implementation of an `IWorker` based on native threads and queues.

Class | `SimpleLock` | Undocumented
Class | `SimpleQueue` | Undocumented
Class | `Stop` | Undocumented
Type Variable | `T` | Undocumented
Type Variable | `U` | Undocumented
Variable | `smartiter` | Undocumented

T = (source)

Undocumented

Value

    TypeVar('T')

U = (source)

Undocumented

Value

    TypeVar('U')

smartiter: `Callable[[Callable[[], T | U], U], Iterator[T]]` = (source)

Undocumented